Add new jenkins job to schedule endurance test
- add job: onap-cps-endurance-test
- add a cronjob and it will be running at like:
- 00:00
- 03:00
- 06:00
- 09:00
- 12:00
- 15:00
- 18:00
- 21:00
Issue-ID: CPS-2465
Change-Id: Ia104d8e2c99a6691cc7cbc67cbe646b1a32807bc
Signed-off-by: halil.cakal <halil.cakal@est.tech>
diff --git a/jjb/onap/cps/cps-performance-test-jobs.yaml b/jjb/onap/cps/cps-performance-test-jobs.yaml
index ade5190..4b90bda 100644
--- a/jjb/onap/cps/cps-performance-test-jobs.yaml
+++ b/jjb/onap/cps/cps-performance-test-jobs.yaml
@@ -69,4 +69,15 @@
timer: "31 * * * *"
jobs:
- - 'onap-{project-name}-k6-performance-tests-plots'
\ No newline at end of file
+ - 'onap-{project-name}-k6-performance-tests-plots'
+
+- project:
+ name: cps-endurance-tests
+ project: cps
+ project-name: cps
+
+ # run every 3 hour(s)
+ timer: "0 0/3 * * *"
+
+ jobs:
+ - 'onap-{project-name}-endurance-test'
diff --git a/jjb/onap/cps/endurance-test-trigger.sh b/jjb/onap/cps/endurance-test-trigger.sh
new file mode 100755
index 0000000..ccb1ae2
--- /dev/null
+++ b/jjb/onap/cps/endurance-test-trigger.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright 2024 Nordix Foundation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -o errexit # Exit on most errors
+set -o nounset # Disallow expansion of unset variables
+set -o pipefail # Use last non-zero exit code in a pipeline
+set -o xtrace # Trace logging
+
+cd "$WORKSPACE"
+
+# Check out CPS source repo
+rm -rf cps
+git clone https://gerrit.nordix.org/onap/cps
+cd cps
+
+# Start the k6 test runner
+chmod 755 ./k6-tests/run-k6-tests.sh
+CLEAN_DOCKER_IMAGES=1 ./k6-tests/run-k6-tests.sh endurance
diff --git a/jjb/onap/global-templates-onap-java.yaml b/jjb/onap/global-templates-onap-java.yaml
index 2df551b..dd9952f 100644
--- a/jjb/onap/global-templates-onap-java.yaml
+++ b/jjb/onap/global-templates-onap-java.yaml
@@ -199,6 +199,20 @@
dir: "."
files: "k6TestsPerformanceReview.html,k6TestsPerformanceReviewMonthly.html"
+# A job to run endurance test on cps project
+- job-template:
+ name: 'onap-{project-name}-endurance-test'
+ disabled_job_var: false
+ node: xerces-cps-hw
+ wipe_workspace: false
+
+ triggers:
+ - timed: '{timer}'
+
+ builders:
+ - shell:
+ !include-raw-escape: ./cps/endurance-test-trigger.sh
+
# A job to perform performance test which are based on Spock-Groovy Framework on cps project
- job-template:
name: 'onap-{project-name}-{stream}-performance-test-java'